(add-to-load-path ".")
(define-module (template-package)
  #:use-module (saayix packages typst)
  #:use-module (guix)
  #:use-module (guix build-system gnu)
  #:use-module ((guix licenses) #:prefix license:)
  #:use-module (guix git-download))

(define vcs-file?
  ;; Return true if the given file is under version control.
  (or (git-predicate (current-source-directory))
      (const #t)))

(define-public template
  (package
   (name "template")
   (version "0.1-git")
   (source (local-file "../.." "template-checkout"
                       #:recursive? #t
                       #:select? vcs-file?))
   (build-system gnu-build-system)
   (native-inputs
    `(typst))
   (synopsis "Guix template for Typst projects")
   (description "Guix template for Typst projects")
   (home-page "https://git.sudoer777.dev/me/guix-typst-template")
   (license license:expat)))
